function TestFAPTable_rho1

clc
close all;
% clear all

% data file
src = '/home/wenzw/code/ConvexOpt/SDP/AltSDPData/';

%Probname = {'fap01', 'fap02', 'fap03', 'fap04', 'fap05', 'fap06' 'fap07', 'fap08', 'fap09','fap10', 'fap25', 'fap36'};
Probname = {'fap01', 'fap02', 'fap03', 'fap04', 'fap05', 'fap06' 'fap07', 'fap08', 'fap09','fap10', 'fap11', 'fap12', 'fap25', 'fap36'};

nprob = length(Probname);

Problist = [1:nprob];
Problist = [1:12];
Problist = [1];
% problem 9 not good for plus
 fprintf('name & n  & m & pobj & dobj & pinf & dinf & itr & gap & cpu \n');

outFAP = [];

fname = '_mu_';

for di = 1:length(Problist)
    name = Probname{Problist(di)};
    load(strcat(src,Probname{Problist(di)},'_Alt.mat'),  'C', 'E', 'IE', 'n','m','k','p','q');
        
    % %%-----------------------------------------------------------------------
    % % SDP - First-order Primal dual alternating direction algorithm
    %
    opts.mxitr = 2000;

    opts.record = 0;

    opts.mu = 5;
    opts.rmu = 0.5;
    opts.mu_min = 1e-4;         opts.mu_max = 1e4;
    opts.min_mu_itr= 5;
    opts.max_mu_itr= 50;
    
    opts.rho = 1;
    opts.delta_mu_l = 1;
    opts.delta_mu_u = 1;
    
    opts.max_itr_stag_lev1 = 20;
    opts.max_itr_stag_lev2 = 150;
    opts.max_itr_stag_lev3 = 300;
    
    opts.subopt = 1;
    opts.subopt = 0;
    
    tol = 1e-6; opts.ftol = tol;
    
    % methods of projection
    opts.proj = 1; opts.nev = floor(n/2);
        
    X0 = eye(n); %X0 = zeros(n);
    tic; [X, S, y, out] = mexAltSDP_FAP(n, m,k,p,q, full(X0), full(C),  IE, opts); solvet = toc;  objf = out.pobj;

    
   outFAP(di, 1) = Problist(di);
   outFAP(di, 2) = n;
   outFAP(di, 3) = out.pobj;
   outFAP(di, 4) = out.dobj;
   outFAP(di, 5) = out.pinf;
   outFAP(di, 6) = out.dinf;
   outFAP(di, 7) = out.gap;
   outFAP(di, 8) = out.itr;
   outFAP(di, 9) = solvet;
   
   
%    fprintf('%10s & %d & %d & %8.7e & %8.7e & %3.2e & %3.2e & %3.2e &  %d & %8.2f \\\\ \\hline \n', ...
%        name, n, m, out.pobj, out.dobj, out.gap, out.pinf, out.dinf, out.itr, solvet);
%    fid = fopen(strcat('result/',Probname{Problist(di)}, fname, '_result.txt'), 'w');
%    fprintf(fid, '%10s & %d & %d & %8.7e & %8.7e & %3.2e & %3.2e & %3.2e &  %d & %8.2f \\\\ \\hline \n', ...
%        name, n, m, out.pobj, out.dobj, out.gap, out.pinf, out.dinf, out.itr, solvet);

   fprintf('%10s & %10d & %10d & %8.7e & %8.7e & %3.2e & %3.2e &  %10d & %3.2e  & %8.2f \\\\ \\hline \n', ...
       name, n, m, out.pobj, out.dobj, out.pinf, out.dinf, out.itr, out.gap, solvet);
   fid = fopen(strcat('result/',Probname{Problist(di)}, fname, num2str(opts.rho), '_result.txt'), 'w');
   fprintf(fid,'%10s & %10d & %10d & %8.7e & %8.7e & %3.2e & %3.2e &  %10d & %3.2e  & %8.2f \\\\ \\hline \n', ...
       name, n, m, out.pobj, out.dobj, out.pinf, out.dinf, out.itr, out.gap, solvet);   

   fclose(fid);   
   
%    save resultFAP36  outFAP  Probname
    
end
% fprintf('performance: \n');
% fprintf('%3.2e   %8.2f\n',  [outFAP(:, 7) outFAP(:, 9)]');

